> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace Meta agent FAQ

> Replace the question, the answer and the metadata.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json put /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/faqs/{faq_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/faqs/{faq_id}:
    put:
      tags:
        - WhatsApp Meta agent
      summary: Replace Meta agent FAQ
      description: Replace the question, the answer and the metadata.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the WhatsApp phone number the Meta agent runs on
          name: phone_number_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the FAQ
          name: faq_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveWhatsAppMetaAgentFaqSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SaveWhatsAppMetaAgentFaqSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppMetaAgentFaqSchema'
components:
  schemas:
    SaveWhatsAppMetaAgentFaqSchema:
      type: object
      properties:
        question:
          type: string
          minLength: 1
          maxLength: 1024
        answer:
          type: string
          minLength: 1
          maxLength: 20000
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 256
      required:
        - question
        - answer
    WhatsAppMetaAgentFaqSchema:
      type: object
      properties:
        id:
          type: string
        question:
          type: string
        answer:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        created_at:
          type: string
      required:
        - id
        - question
        - answer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````